[arch-commits] Commit in cdtool/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Tue Nov 3 14:18:07 EST 2009


    Date: Tuesday, November 3, 2009 @ 14:18:06
  Author: andrea
Revision: 58118

upgpkg: cdtool 2.1.8-3
    FS#16146

Modified:
  cdtool/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-03 19:17:58 UTC (rev 58117)
+++ PKGBUILD	2009-11-03 19:18:06 UTC (rev 58118)
@@ -1,22 +1,27 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
-# Contributer: dorphell <dorphell at archlinux.org>
+# Contributor: Alexander Baldeck <alexander at archlinux.org>
+# Contributor: dorphell <dorphell at archlinux.org>
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=cdtool
 pkgver=2.1.8
-pkgrel=2
+pkgrel=3
 pkgdesc="A package of command-line utilities to play and catalog audio CD-ROMs."
 arch=('i686' 'x86_64')
+url="http://hinterhof.net/cdtool/"
 license=('GPL2')
 depends=('bash')
-source=(http://www.sfr-fresh.com/linux/misc//${pkgname}-${pkgver}.tar.gz)
-url="http://hinterhof.net/cdtool/"
+source=(http://www.sfr-fresh.com/linux/misc/${pkgname}-${pkgver}.tar.gz
+	'glibc-2.10.patch')
+md5sums=('7b19b6f68d2c648296378b784d5f7681'
+         '98b36f941007949cdcddbebd22c59977')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+
+  patch -Np1 -i ${srcdir}/glibc-2.10.patch || return 1
+
   ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1 || return 1
   make DESTDIR=${pkgdir} install || return 1
 }
-md5sums=('7b19b6f68d2c648296378b784d5f7681')



More information about the arch-commits mailing list